aboutsummaryrefslogtreecommitdiffstats
path: root/create_arm_img_urpmi.sh
diff options
context:
space:
mode:
authorDaniel Tartavel <contact@librepc.com>2019-03-27 23:13:40 +0100
committerDaniel Tartavel <contact@librepc.com>2019-03-27 23:13:40 +0100
commit17cb092b9a60a8d9664aaa59cb0f43912372b57e (patch)
treea92fa63c7bc7dde0fd8ac35bbbc52358e84f870d /create_arm_img_urpmi.sh
parent1c3749325bca0c71288d8085e85d14e1ba831fed (diff)
downloadmageia4arm-17cb092b9a60a8d9664aaa59cb0f43912372b57e.tar
mageia4arm-17cb092b9a60a8d9664aaa59cb0f43912372b57e.tar.gz
mageia4arm-17cb092b9a60a8d9664aaa59cb0f43912372b57e.tar.bz2
mageia4arm-17cb092b9a60a8d9664aaa59cb0f43912372b57e.tar.xz
mageia4arm-17cb092b9a60a8d9664aaa59cb0f43912372b57e.zip
debug
Diffstat (limited to 'create_arm_img_urpmi.sh')
-rwxr-xr-xcreate_arm_img_urpmi.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/create_arm_img_urpmi.sh b/create_arm_img_urpmi.sh
index 6847d39..90ac4fa 100755
--- a/create_arm_img_urpmi.sh
+++ b/create_arm_img_urpmi.sh
@@ -39,7 +39,8 @@ function error()
SOURCE_PATH="$(/bin/dirname "$(readlink -f "$0")")"
INSTALL_PATH="$SOURCE_PATH/arm"
FILES_PATH="$SOURCE_PATH/files"
-CMDNAME=$(/bin/basename -z "$0")
+info $0
+CMDNAME=$(/bin/basename "$0")
#while read -r;do
# for MAGEIA_VERSION in $REPLY
@@ -71,7 +72,7 @@ function help()
echo "--target target system (for now rpi, odroid)"
echo "--target-version version of the target (0, 1, 2, 3 for rpi, 3 or 4 for odroid)"
echo "--config Path to config files"
- echo "--bootfs filesystem of boot partition (ext4 or vfat) default: etx4"
+ echo "--bootfs filesystem of boot partition (ext4 or vfat) default: ext4"
echo -e "\nFor image size, make sure it fit on physical support. (Default size is 7 Go)"
}
@@ -86,7 +87,7 @@ function clean()
umount "$BUILD_PATH/dev"
if ! [ $? -ne 0 ];then
error "line $LINENO can't unmount $BUILD_PATH/dev : exiting"
- exit 1
+ #exit 1
fi
fi
if ! [ -z "$(mountpoint -qd "$BUILD_PATH/sys")" ];then
@@ -94,7 +95,7 @@ function clean()
umount "$BUILD_PATH/sys"
if ! [ $? -ne 0 ];then
error "line $LINENO can't unmount $BUILD_PATH/sys : exiting"
- exit 1
+ #exit 1
fi
fi
if ! [ -z "$(mountpoint -qd "$BUILD_PATH/proc")" ];then
@@ -102,7 +103,7 @@ function clean()
umount "$BUILD_PATH/proc"
if ! [ $? -ne 0 ];then
error "line $LINENO can't unmount $BUILD_PATH/proc : exiting"
- exit 1
+ #exit 1
fi
fi
# Removing old Build directory